﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LastManStanding
{
    using libtcod;

    /// <summary>
    /// A listing of the System.Drawing.Color preset colors, converted
    /// to the TCOD Color format.
    /// </summary>
    public static class ColorPresets
    {
        #region Constants and Fields

        /// <summary>
        /// The color AliceBlue; RGB (240, 248, 255)
        /// </summary>
        public static readonly TCODColor AliceBlue = new TCODColor(240, 248, 255);

        /// <summary>
        /// The color AntiqueWhite; RGB (250, 235, 215)
        /// </summary>
        public static readonly TCODColor AntiqueWhite = new TCODColor(250, 235, 215);

        /// <summary>
        /// The color Aqua; RGB (0, 255, 255)
        /// </summary>
        public static readonly TCODColor Aqua = new TCODColor(0, 255, 255);

        /// <summary>
        /// The color Aquamarine; RGB (127, 255, 212)
        /// </summary>
        public static readonly TCODColor Aquamarine = new TCODColor(127, 255, 212);

        /// <summary>
        /// The color Azure; RGB (240, 255, 255)
        /// </summary>
        public static readonly TCODColor Azure = new TCODColor(240, 255, 255);

        /// <summary>
        /// The color Beige; RGB (245, 245, 220)
        /// </summary>
        public static readonly TCODColor Beige = new TCODColor(245, 245, 220);

        /// <summary>
        /// The color Bisque; RGB (255, 228, 196)
        /// </summary>
        public static readonly TCODColor Bisque = new TCODColor(255, 228, 196);

        /// <summary>
        /// The color Black; RGB (0, 0, 0)
        /// </summary>
        public static readonly TCODColor Black = new TCODColor(0, 0, 0);

        /// <summary>
        /// The color BlanchedAlmond; RGB (255, 235, 205)
        /// </summary>
        public static readonly TCODColor BlanchedAlmond = new TCODColor(255, 235, 205);

        /// <summary>
        /// The color Blue; RGB (0, 0, 255)
        /// </summary>
        public static readonly TCODColor Blue = new TCODColor(0, 0, 255);

        /// <summary>
        /// The color BlueViolet; RGB (138, 43, 226)
        /// </summary>
        public static readonly TCODColor BlueViolet = new TCODColor(138, 43, 226);

        /// <summary>
        /// The color Brown; RGB (165, 42, 42)
        /// </summary>
        public static readonly TCODColor Brown = new TCODColor(165, 42, 42);

        /// <summary>
        /// The color BurlyWood; RGB (222, 184, 135)
        /// </summary>
        public static readonly TCODColor BurlyWood = new TCODColor(222, 184, 135);

        /// <summary>
        /// The color CadetBlue; RGB (95, 158, 160)
        /// </summary>
        public static readonly TCODColor CadetBlue = new TCODColor(95, 158, 160);

        /// <summary>
        /// The color Chartreuse; RGB (127, 255, 0)
        /// </summary>
        public static readonly TCODColor Chartreuse = new TCODColor(127, 255, 0);

        /// <summary>
        /// The color Chocolate; RGB (210, 105, 30)
        /// </summary>
        public static readonly TCODColor Chocolate = new TCODColor(210, 105, 30);

        /// <summary>
        /// The color Coral; RGB (255, 127, 80)
        /// </summary>
        public static readonly TCODColor Coral = new TCODColor(255, 127, 80);

        /// <summary>
        /// The color CornflowerBlue; RGB (100, 149, 237)
        /// </summary>
        public static readonly TCODColor CornflowerBlue = new TCODColor(100, 149, 237);

        /// <summary>
        /// The color Cornsilk; RGB (255, 248, 220)
        /// </summary>
        public static readonly TCODColor Cornsilk = new TCODColor(255, 248, 220);

        /// <summary>
        /// The color Crimson; RGB (220, 20, 60)
        /// </summary>
        public static readonly TCODColor Crimson = new TCODColor(220, 20, 60);

        /// <summary>
        /// The color Cyan; RGB (0, 255, 255)
        /// </summary>
        public static readonly TCODColor Cyan = new TCODColor(0, 255, 255);

        /// <summary>
        /// The color DarkBlue; RGB (0, 0, 139)
        /// </summary>
        public static readonly TCODColor DarkBlue = new TCODColor(0, 0, 139);

        /// <summary>
        /// The color DarkCyan; RGB (0, 139, 139)
        /// </summary>
        public static readonly TCODColor DarkCyan = new TCODColor(0, 139, 139);

        /// <summary>
        /// The color DarkGoldenrod; RGB (184, 134, 11)
        /// </summary>
        public static readonly TCODColor DarkGoldenrod = new TCODColor(184, 134, 11);

        /// <summary>
        /// The color DarkGray; RGB (169, 169, 169)
        /// </summary>
        public static readonly TCODColor DarkGray = new TCODColor(169, 169, 169);

        /// <summary>
        /// The color DarkGreen; RGB (0, 100, 0)
        /// </summary>
        public static readonly TCODColor DarkGreen = new TCODColor(0, 100, 0);

        /// <summary>
        /// The color DarkKhaki; RGB (189, 183, 107)
        /// </summary>
        public static readonly TCODColor DarkKhaki = new TCODColor(189, 183, 107);

        /// <summary>
        /// The color DarkMagenta; RGB (139, 0, 139)
        /// </summary>
        public static readonly TCODColor DarkMagenta = new TCODColor(139, 0, 139);

        /// <summary>
        /// The color DarkOliveGreen; RGB (85, 107, 47)
        /// </summary>
        public static readonly TCODColor DarkOliveGreen = new TCODColor(85, 107, 47);

        /// <summary>
        /// The color DarkOrange; RGB (255, 140, 0)
        /// </summary>
        public static readonly TCODColor DarkOrange = new TCODColor(255, 140, 0);

        /// <summary>
        /// The color DarkOrchid; RGB (153, 50, 204)
        /// </summary>
        public static readonly TCODColor DarkOrchid = new TCODColor(153, 50, 204);

        /// <summary>
        /// The color DarkRed; RGB (139, 0, 0)
        /// </summary>
        public static readonly TCODColor DarkRed = new TCODColor(139, 0, 0);

        /// <summary>
        /// The color DarkSalmon; RGB (233, 150, 122)
        /// </summary>
        public static readonly TCODColor DarkSalmon = new TCODColor(233, 150, 122);

        /// <summary>
        /// The color DarkSeaGreen; RGB (143, 188, 139)
        /// </summary>
        public static readonly TCODColor DarkSeaGreen = new TCODColor(143, 188, 139);

        /// <summary>
        /// The color DarkSlateBlue; RGB (72, 61, 139)
        /// </summary>
        public static readonly TCODColor DarkSlateBlue = new TCODColor(72, 61, 139);

        /// <summary>
        /// The color DarkSlateGray; RGB (47, 79, 79)
        /// </summary>
        public static readonly TCODColor DarkSlateGray = new TCODColor(47, 79, 79);

        /// <summary>
        /// The color DarkTurquoise; RGB (0, 206, 209)
        /// </summary>
        public static readonly TCODColor DarkTurquoise = new TCODColor(0, 206, 209);

        /// <summary>
        /// The color DarkViolet; RGB (148, 0, 211)
        /// </summary>
        public static readonly TCODColor DarkViolet = new TCODColor(148, 0, 211);

        /// <summary>
        /// The color DeepPink; RGB (255, 20, 147)
        /// </summary>
        public static readonly TCODColor DeepPink = new TCODColor(255, 20, 147);

        /// <summary>
        /// The color DeepSkyBlue; RGB (0, 191, 255)
        /// </summary>
        public static readonly TCODColor DeepSkyBlue = new TCODColor(0, 191, 255);

        /// <summary>
        /// The color DimGray; RGB (105, 105, 105)
        /// </summary>
        public static readonly TCODColor DimGray = new TCODColor(105, 105, 105);

        /// <summary>
        /// The color DodgerBlue; RGB (30, 144, 255)
        /// </summary>
        public static readonly TCODColor DodgerBlue = new TCODColor(30, 144, 255);

        /// <summary>
        /// The color Firebrick; RGB (178, 34, 34)
        /// </summary>
        public static readonly TCODColor Firebrick = new TCODColor(178, 34, 34);

        /// <summary>
        /// The color FloralWhite; RGB (255, 250, 240)
        /// </summary>
        public static readonly TCODColor FloralWhite = new TCODColor(255, 250, 240);

        /// <summary>
        /// The color ForestGreen; RGB (34, 139, 34)
        /// </summary>
        public static readonly TCODColor ForestGreen = new TCODColor(34, 139, 34);

        /// <summary>
        /// The color Fuchsia; RGB (255, 0, 255)
        /// </summary>
        public static readonly TCODColor Fuchsia = new TCODColor(255, 0, 255);

        /// <summary>
        /// The color Gainsboro; RGB (220, 220, 220)
        /// </summary>
        public static readonly TCODColor Gainsboro = new TCODColor(220, 220, 220);

        /// <summary>
        /// The color GhostWhite; RGB (248, 248, 255)
        /// </summary>
        public static readonly TCODColor GhostWhite = new TCODColor(248, 248, 255);

        /// <summary>
        /// The color Gold; RGB (255, 215, 0)
        /// </summary>
        public static readonly TCODColor Gold = new TCODColor(255, 215, 0);

        /// <summary>
        /// The color Goldenrod; RGB (218, 165, 32)
        /// </summary>
        public static readonly TCODColor Goldenrod = new TCODColor(218, 165, 32);

        /// <summary>
        /// The color Gray; RGB (128, 128, 128)
        /// </summary>
        public static readonly TCODColor Gray = new TCODColor(128, 128, 128);

        /// <summary>
        /// The color Green; RGB (0, 128, 0)
        /// </summary>
        public static readonly TCODColor Green = new TCODColor(0, 128, 0);

        /// <summary>
        /// The color GreenYellow; RGB (173, 255, 47)
        /// </summary>
        public static readonly TCODColor GreenYellow = new TCODColor(173, 255, 47);

        /// <summary>
        /// The color Honeydew; RGB (240, 255, 240)
        /// </summary>
        public static readonly TCODColor Honeydew = new TCODColor(240, 255, 240);

        /// <summary>
        /// The color HotPink; RGB (255, 105, 180)
        /// </summary>
        public static readonly TCODColor HotPink = new TCODColor(255, 105, 180);

        /// <summary>
        /// The color IndianRed; RGB (205, 92, 92)
        /// </summary>
        public static readonly TCODColor IndianRed = new TCODColor(205, 92, 92);

        /// <summary>
        /// The color Indigo; RGB (75, 0, 130)
        /// </summary>
        public static readonly TCODColor Indigo = new TCODColor(75, 0, 130);

        /// <summary>
        /// The color Ivory; RGB (255, 255, 240)
        /// </summary>
        public static readonly TCODColor Ivory = new TCODColor(255, 255, 240);

        /// <summary>
        /// The color Khaki; RGB (240, 230, 140)
        /// </summary>
        public static readonly TCODColor Khaki = new TCODColor(240, 230, 140);

        /// <summary>
        /// The color Lavender; RGB (230, 230, 250)
        /// </summary>
        public static readonly TCODColor Lavender = new TCODColor(230, 230, 250);

        /// <summary>
        /// The color LavenderBlush; RGB (255, 240, 245)
        /// </summary>
        public static readonly TCODColor LavenderBlush = new TCODColor(255, 240, 245);

        /// <summary>
        /// The color LawnGreen; RGB (124, 252, 0)
        /// </summary>
        public static readonly TCODColor LawnGreen = new TCODColor(124, 252, 0);

        /// <summary>
        /// The color LemonChiffon; RGB (255, 250, 205)
        /// </summary>
        public static readonly TCODColor LemonChiffon = new TCODColor(255, 250, 205);

        /// <summary>
        /// The color LightBlue; RGB (173, 216, 230)
        /// </summary>
        public static readonly TCODColor LightBlue = new TCODColor(173, 216, 230);

        /// <summary>
        /// The color LightCoral; RGB (240, 128, 128)
        /// </summary>
        public static readonly TCODColor LightCoral = new TCODColor(240, 128, 128);

        /// <summary>
        /// The color LightCyan; RGB (224, 255, 255)
        /// </summary>
        public static readonly TCODColor LightCyan = new TCODColor(224, 255, 255);

        /// <summary>
        /// The color LightGoldenrodYellow; RGB (250, 250, 210)
        /// </summary>
        public static readonly TCODColor LightGoldenrodYellow = new TCODColor(250, 250, 210);

        /// <summary>
        /// The color LightGray; RGB (211, 211, 211)
        /// </summary>
        public static readonly TCODColor LightGray = new TCODColor(211, 211, 211);

        /// <summary>
        /// The color LightGreen; RGB (144, 238, 144)
        /// </summary>
        public static readonly TCODColor LightGreen = new TCODColor(144, 238, 144);

        /// <summary>
        /// The color LightPink; RGB (255, 182, 193)
        /// </summary>
        public static readonly TCODColor LightPink = new TCODColor(255, 182, 193);

        /// <summary>
        /// The color LightSalmon; RGB (255, 160, 122)
        /// </summary>
        public static readonly TCODColor LightSalmon = new TCODColor(255, 160, 122);

        /// <summary>
        /// The color LightSeaGreen; RGB (32, 178, 170)
        /// </summary>
        public static readonly TCODColor LightSeaGreen = new TCODColor(32, 178, 170);

        /// <summary>
        /// The color LightSkyBlue; RGB (135, 206, 250)
        /// </summary>
        public static readonly TCODColor LightSkyBlue = new TCODColor(135, 206, 250);

        /// <summary>
        /// The color LightSlateGray; RGB (119, 136, 153)
        /// </summary>
        public static readonly TCODColor LightSlateGray = new TCODColor(119, 136, 153);

        /// <summary>
        /// The color LightSteelBlue; RGB (176, 196, 222)
        /// </summary>
        public static readonly TCODColor LightSteelBlue = new TCODColor(176, 196, 222);

        /// <summary>
        /// The color LightYellow; RGB (255, 255, 224)
        /// </summary>
        public static readonly TCODColor LightYellow = new TCODColor(255, 255, 224);

        /// <summary>
        /// The color Lime; RGB (0, 255, 0)
        /// </summary>
        public static readonly TCODColor Lime = new TCODColor(0, 255, 0);

        /// <summary>
        /// The color LimeGreen; RGB (50, 205, 50)
        /// </summary>
        public static readonly TCODColor LimeGreen = new TCODColor(50, 205, 50);

        /// <summary>
        /// The color Linen; RGB (250, 240, 230)
        /// </summary>
        public static readonly TCODColor Linen = new TCODColor(250, 240, 230);

        /// <summary>
        /// The color Magenta; RGB (255, 0, 255)
        /// </summary>
        public static readonly TCODColor Magenta = new TCODColor(255, 0, 255);

        /// <summary>
        /// The color Maroon; RGB (128, 0, 0)
        /// </summary>
        public static readonly TCODColor Maroon = new TCODColor(128, 0, 0);

        /// <summary>
        /// The color MediumAquamarine; RGB (102, 205, 170)
        /// </summary>
        public static readonly TCODColor MediumAquamarine = new TCODColor(102, 205, 170);

        /// <summary>
        /// The color MediumBlue; RGB (0, 0, 205)
        /// </summary>
        public static readonly TCODColor MediumBlue = new TCODColor(0, 0, 205);

        /// <summary>
        /// The color MediumOrchid; RGB (186, 85, 211)
        /// </summary>
        public static readonly TCODColor MediumOrchid = new TCODColor(186, 85, 211);

        /// <summary>
        /// The color MediumPurple; RGB (147, 112, 219)
        /// </summary>
        public static readonly TCODColor MediumPurple = new TCODColor(147, 112, 219);

        /// <summary>
        /// The color MediumSeaGreen; RGB (60, 179, 113)
        /// </summary>
        public static readonly TCODColor MediumSeaGreen = new TCODColor(60, 179, 113);

        /// <summary>
        /// The color MediumSlateBlue; RGB (123, 104, 238)
        /// </summary>
        public static readonly TCODColor MediumSlateBlue = new TCODColor(123, 104, 238);

        /// <summary>
        /// The color MediumSpringGreen; RGB (0, 250, 154)
        /// </summary>
        public static readonly TCODColor MediumSpringGreen = new TCODColor(0, 250, 154);

        /// <summary>
        /// The color MediumTurquoise; RGB (72, 209, 204)
        /// </summary>
        public static readonly TCODColor MediumTurquoise = new TCODColor(72, 209, 204);

        /// <summary>
        /// The color MediumVioletRed; RGB (199, 21, 133)
        /// </summary>
        public static readonly TCODColor MediumVioletRed = new TCODColor(199, 21, 133);

        /// <summary>
        /// The color MidnightBlue; RGB (25, 25, 112)
        /// </summary>
        public static readonly TCODColor MidnightBlue = new TCODColor(25, 25, 112);

        /// <summary>
        /// The color MintCream; RGB (245, 255, 250)
        /// </summary>
        public static readonly TCODColor MintCream = new TCODColor(245, 255, 250);

        /// <summary>
        /// The color MistyRose; RGB (255, 228, 225)
        /// </summary>
        public static readonly TCODColor MistyRose = new TCODColor(255, 228, 225);

        /// <summary>
        /// The color Moccasin; RGB (255, 228, 181)
        /// </summary>
        public static readonly TCODColor Moccasin = new TCODColor(255, 228, 181);

        /// <summary>
        /// The color NavajoWhite; RGB (255, 222, 173)
        /// </summary>
        public static readonly TCODColor NavajoWhite = new TCODColor(255, 222, 173);

        /// <summary>
        /// The color Navy; RGB (0, 0, 128)
        /// </summary>
        public static readonly TCODColor Navy = new TCODColor(0, 0, 128);

        /// <summary>
        /// The color OldLace; RGB (253, 245, 230)
        /// </summary>
        public static readonly TCODColor OldLace = new TCODColor(253, 245, 230);

        /// <summary>
        /// The color Olive; RGB (128, 128, 0)
        /// </summary>
        public static readonly TCODColor Olive = new TCODColor(128, 128, 0);

        /// <summary>
        /// The color OliveDrab; RGB (107, 142, 35)
        /// </summary>
        public static readonly TCODColor OliveDrab = new TCODColor(107, 142, 35);

        /// <summary>
        /// The color Orange; RGB (255, 165, 0)
        /// </summary>
        public static readonly TCODColor Orange = new TCODColor(255, 165, 0);

        /// <summary>
        /// The color OrangeRed; RGB (255, 69, 0)
        /// </summary>
        public static readonly TCODColor OrangeRed = new TCODColor(255, 69, 0);

        /// <summary>
        /// The color Orchid; RGB (218, 112, 214)
        /// </summary>
        public static readonly TCODColor Orchid = new TCODColor(218, 112, 214);

        /// <summary>
        /// The color PaleGoldenrod; RGB (238, 232, 170)
        /// </summary>
        public static readonly TCODColor PaleGoldenrod = new TCODColor(238, 232, 170);

        /// <summary>
        /// The color PaleGreen; RGB (152, 251, 152)
        /// </summary>
        public static readonly TCODColor PaleGreen = new TCODColor(152, 251, 152);

        /// <summary>
        /// The color PaleTurquoise; RGB (175, 238, 238)
        /// </summary>
        public static readonly TCODColor PaleTurquoise = new TCODColor(175, 238, 238);

        /// <summary>
        /// The color PaleVioletRed; RGB (219, 112, 147)
        /// </summary>
        public static readonly TCODColor PaleVioletRed = new TCODColor(219, 112, 147);

        /// <summary>
        /// The color PapayaWhip; RGB (255, 239, 213)
        /// </summary>
        public static readonly TCODColor PapayaWhip = new TCODColor(255, 239, 213);

        /// <summary>
        /// The color PeachPuff; RGB (255, 218, 185)
        /// </summary>
        public static readonly TCODColor PeachPuff = new TCODColor(255, 218, 185);

        /// <summary>
        /// The color Peru; RGB (205, 133, 63)
        /// </summary>
        public static readonly TCODColor Peru = new TCODColor(205, 133, 63);

        /// <summary>
        /// The color Pink; RGB (255, 192, 203)
        /// </summary>
        public static readonly TCODColor Pink = new TCODColor(255, 192, 203);

        /// <summary>
        /// The color Plum; RGB (221, 160, 221)
        /// </summary>
        public static readonly TCODColor Plum = new TCODColor(221, 160, 221);

        /// <summary>
        /// The color PowderBlue; RGB (176, 224, 230)
        /// </summary>
        public static readonly TCODColor PowderBlue = new TCODColor(176, 224, 230);

        /// <summary>
        /// The color Purple; RGB (128, 0, 128)
        /// </summary>
        public static readonly TCODColor Purple = new TCODColor(128, 0, 128);

        /// <summary>
        /// The color Red; RGB (255, 0, 0)
        /// </summary>
        public static readonly TCODColor Red = new TCODColor(255, 0, 0);

        /// <summary>
        /// The color RosyBrown; RGB (188, 143, 143)
        /// </summary>
        public static readonly TCODColor RosyBrown = new TCODColor(188, 143, 143);

        /// <summary>
        /// The color RoyalBlue; RGB (65, 105, 225)
        /// </summary>
        public static readonly TCODColor RoyalBlue = new TCODColor(65, 105, 225);

        /// <summary>
        /// The color SaddleBrown; RGB (139, 69, 19)
        /// </summary>
        public static readonly TCODColor SaddleBrown = new TCODColor(139, 69, 19);

        /// <summary>
        /// The color Salmon; RGB (250, 128, 114)
        /// </summary>
        public static readonly TCODColor Salmon = new TCODColor(250, 128, 114);

        /// <summary>
        /// The color SandyBrown; RGB (244, 164, 96)
        /// </summary>
        public static readonly TCODColor SandyBrown = new TCODColor(244, 164, 96);

        /// <summary>
        /// The color SeaGreen; RGB (46, 139, 87)
        /// </summary>
        public static readonly TCODColor SeaGreen = new TCODColor(46, 139, 87);

        /// <summary>
        /// The color SeaShell; RGB (255, 245, 238)
        /// </summary>
        public static readonly TCODColor SeaShell = new TCODColor(255, 245, 238);

        /// <summary>
        /// The color Sienna; RGB (160, 82, 45)
        /// </summary>
        public static readonly TCODColor Sienna = new TCODColor(160, 82, 45);

        /// <summary>
        /// The color Silver; RGB (192, 192, 192)
        /// </summary>
        public static readonly TCODColor Silver = new TCODColor(192, 192, 192);

        /// <summary>
        /// The color SkyBlue; RGB (135, 206, 235)
        /// </summary>
        public static readonly TCODColor SkyBlue = new TCODColor(135, 206, 235);

        /// <summary>
        /// The color SlateBlue; RGB (106, 90, 205)
        /// </summary>
        public static readonly TCODColor SlateBlue = new TCODColor(106, 90, 205);

        /// <summary>
        /// The color SlateGray; RGB (112, 128, 144)
        /// </summary>
        public static readonly TCODColor SlateGray = new TCODColor(112, 128, 144);

        /// <summary>
        /// The color Snow; RGB (255, 250, 250)
        /// </summary>
        public static readonly TCODColor Snow = new TCODColor(255, 250, 250);

        /// <summary>
        /// The color SpringGreen; RGB (0, 255, 127)
        /// </summary>
        public static readonly TCODColor SpringGreen = new TCODColor(0, 255, 127);

        /// <summary>
        /// The color SteelBlue; RGB (70, 130, 180)
        /// </summary>
        public static readonly TCODColor SteelBlue = new TCODColor(70, 130, 180);

        /// <summary>
        /// The color Tan; RGB (210, 180, 140)
        /// </summary>
        public static readonly TCODColor Tan = new TCODColor(210, 180, 140);

        /// <summary>
        /// The color Teal; RGB (0, 128, 128)
        /// </summary>
        public static readonly TCODColor Teal = new TCODColor(0, 128, 128);

        /// <summary>
        /// The color Thistle; RGB (216, 191, 216)
        /// </summary>
        public static readonly TCODColor Thistle = new TCODColor(216, 191, 216);

        /// <summary>
        /// The color Tomato; RGB (255, 99, 71)
        /// </summary>
        public static readonly TCODColor Tomato = new TCODColor(255, 99, 71);

        /// <summary>
        /// The color Turquoise; RGB (64, 224, 208)
        /// </summary>
        public static readonly TCODColor Turquoise = new TCODColor(64, 224, 208);

        /// <summary>
        /// The color Violet; RGB (238, 130, 238)
        /// </summary>
        public static readonly TCODColor Violet = new TCODColor(238, 130, 238);

        /// <summary>
        /// The color Wheat; RGB (245, 222, 179)
        /// </summary>
        public static readonly TCODColor Wheat = new TCODColor(245, 222, 179);

        /// <summary>
        /// The color White; RGB (255, 255, 255)
        /// </summary>
        public static readonly TCODColor White = new TCODColor(255, 255, 255);

        /// <summary>
        /// The color WhiteSmoke; RGB (245, 245, 245)
        /// </summary>
        public static readonly TCODColor WhiteSmoke = new TCODColor(245, 245, 245);

        /// <summary>
        /// The color Yellow; RGB (255, 255, 0)
        /// </summary>
        public static readonly TCODColor Yellow = new TCODColor(255, 255, 0);

        /// <summary>
        /// The color YellowGreen; RGB (154, 205, 50)
        /// </summary>
        public static readonly TCODColor YellowGreen = new TCODColor(154, 205, 50);

        #endregion
    }

    public static class ColorPresetsFromTCOD
    {
        #region Constants and Fields

        /// <summary>
        /// The color Black; RGB (0, 0, 0)
        /// </summary>
        public static readonly TCODColor Black = new TCODColor(0, 0, 0);

        /// <summary>
        /// The color BrightBlue; RGB (120, 120, 255)
        /// </summary>
        public static readonly TCODColor BrightBlue = new TCODColor(120, 120, 255);

        /// <summary>
        /// The color BrightGreen; RGB (0, 255, 0)
        /// </summary>
        public static readonly TCODColor BrightGreen = new TCODColor(0, 255, 0);

        /// <summary>
        /// The color BrightRed; RGB (255, 100, 50)
        /// </summary>
        public static readonly TCODColor BrightRed = new TCODColor(255, 100, 50);

        /// <summary>
        /// The color BrightYellow; RGB (255, 255, 150)
        /// </summary>
        public static readonly TCODColor BrightYellow = new TCODColor(255, 255, 150);

        /// <summary>
        /// The color Brown; RGB (32, 16, 0)
        /// </summary>
        public static readonly TCODColor Brown = new TCODColor(32, 16, 0);

        /// <summary>
        /// The color DarkBlue; RGB (40, 40, 128)
        /// </summary>
        public static readonly TCODColor DarkBlue = new TCODColor(40, 40, 128);

        /// <summary>
        /// The color DarkGray; RGB (96, 96, 96)
        /// </summary>
        public static readonly TCODColor DarkGray = new TCODColor(96, 96, 96);

        /// <summary>
        /// The color DarkGreen; RGB (0, 128, 0)
        /// </summary>
        public static readonly TCODColor DarkGreen = new TCODColor(0, 128, 0);

        /// <summary>
        /// The color DarkPurple; RGB (51, 0, 51)
        /// </summary>
        public static readonly TCODColor DarkPurple = new TCODColor(51, 0, 51);

        /// <summary>
        /// The color DarkRed; RGB (128, 0, 0)
        /// </summary>
        public static readonly TCODColor DarkRed = new TCODColor(128, 0, 0);

        /// <summary>
        /// The color DarkYellow; RGB (164, 164, 0)
        /// </summary>
        public static readonly TCODColor DarkYellow = new TCODColor(164, 164, 0);

        /// <summary>
        /// The color Gold; RGB (255, 255, 102)
        /// </summary>
        public static readonly TCODColor Gold = new TCODColor(255, 255, 102);

        /// <summary>
        /// The color Gray; RGB (196, 196, 196)
        /// </summary>
        public static readonly TCODColor Gray = new TCODColor(196, 196, 196);

        /// <summary>
        /// The color Green; RGB (0, 220, 0)
        /// </summary>
        public static readonly TCODColor Green = new TCODColor(0, 220, 0);

        /// <summary>
        /// The color Orange; RGB (255, 150, 0)
        /// </summary>
        public static readonly TCODColor Orange = new TCODColor(255, 150, 0);

        /// <summary>
        /// The color Purple; RGB (204, 51, 153)
        /// </summary>
        public static readonly TCODColor Purple = new TCODColor(204, 51, 153);

        /// <summary>
        /// The color NormalRed; RGB (255, 0, 0)
        /// </summary>
        public static readonly TCODColor Red = new TCODColor(255, 0, 0);

        /// <summary>
        /// The color Silver; RGB (203, 203, 203)
        /// </summary>
        public static readonly TCODColor Silver = new TCODColor(203, 203, 203);

        /// <summary>
        /// The color White; RGB (255, 255, 255)
        /// </summary>
        public static readonly TCODColor White = new TCODColor(255, 255, 255);

        /// <summary>
        /// The color Yellow; RGB (255, 255, 0)
        /// </summary>
        public static readonly TCODColor Yellow = new TCODColor(255, 255, 0);

        #endregion
    }
}
